This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 808452 - nfs: mem leak found with valgrind
nfs: mem leak found with valgrind
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 08:38 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 01:13:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-03-30 08:38:38 EDT
Description of problem:

==6064== 220 bytes in 4 blocks are definitely lost in loss record 180 of 304
==6064==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==6064==    by 0x4C5B188: __gf_calloc (mem-pool.c:150)
==6064==    by 0x4C1F6CE: _dict_set (dict.c:278)
==6064==    by 0x4C1F88C: dict_set (dict.c:321)
==6064==    by 0x4C2344D: dict_set_str (dict.c:2140)
==6064==    by 0x93ABC5A: client_setvolume (client-handshake.c:1546)
==6064==    by 0x93ACB5E: client_dump_version_cbk (client-handshake.c:1844)
==6064==    by 0x4EB19FB: rpc_clnt_handle_reply (rpc-clnt.c:797)
==6064==    by 0x4EB1D98: rpc_clnt_notify (rpc-clnt.c:916)
==6064==    by 0x4EADE7B: rpc_transport_notify (rpc-transport.c:498)
==6064==    by 0x854E26F: socket_event_poll_in (socket.c:1686)
==6064==    by 0x854E7F3: socket_event_handler (socket.c:1801)
Version-Release number of selected component (if applicable):
on git head

How reproducible:
executed valgrind once

Steps to Reproduce:
1. put valgrind over nfs process
2. execute untar of linux-kernel tarball and iozone
3. 
  
Actual results:


Expected results:


Additional info:
Comment 1 Krishna Srinivas 2012-08-14 07:33:34 EDT
Going through the code - it does not look like there is a memleak. Need to see why valgrind thinks that this is a memleak.
Comment 2 Rajesh 2013-01-28 01:13:17 EST
No mem-leaks were found in the recent tests.

Note You need to log in before you can comment on or make changes to this bug.